Get a specific Registered Model
Get a specific Registered Model
curl --request GET \
--url https://mycluster.domino.tech/api/registeredmodels/v1/{modelName} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/registeredmodels/v1/{modelName}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/registeredmodels/v1/{modelName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/registeredmodels/v1/{modelName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/registeredmodels/v1/{modelName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/registeredmodels/v1/{modelName}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/registeredmodels/v1/{modelName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"createdAt": "2022-03-12T02:13:44.467Z",
"description": "Customer churn model",
"name": "churn-prediction",
"ownerUsername": "martin_hito",
"project": {
"id": "62313ce67a0af0281c01a6a5",
"isGitBasedProject": true,
"name": "TO-DO",
"ownerUsername": "TO-DO"
},
"requestingUserAccess": {
"canEditModel": true,
"canEditProjectAssets": true,
"canEditPropertyValues": true,
"canEditTaxonomyTags": true,
"canViewExperimentRuns": true,
"canViewModelApis": true,
"canViewProject": true,
"canViewProjectFiles": true
},
"tags": {
"key": "value",
"key2": "anothervalue"
},
"updatedAt": "2022-03-12T02:13:44.467Z",
"discoverable": false,
"latestVersion": 1
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
Registered model name
Response
Success
When the latest version of the model was created
"2022-03-12T02:13:44.467Z"
Description of the model
"Customer churn model"
Name of the registered model
"churn-prediction"
Username of the model's creator
"martin_hito"
type that tracks properties of the project associated with a model
Show child attributes
Show child attributes
Describes the operations that the requesting user has permission to do with this model.
Show child attributes
Show child attributes
A map of key -> value
Show child attributes
Show child attributes
{ "key": "value", "key2": "anothervalue" }
When the latest version of the model was updated
"2022-03-12T02:13:44.467Z"
Indicates whether this model is publicly discoverable. If true, users who are not project members will see this model in search results and can view basic model details. This field may be omitted when false.
The latest version of the model
1
Was this page helpful?
curl --request GET \
--url https://mycluster.domino.tech/api/registeredmodels/v1/{modelName} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/registeredmodels/v1/{modelName}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/registeredmodels/v1/{modelName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/registeredmodels/v1/{modelName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/registeredmodels/v1/{modelName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/registeredmodels/v1/{modelName}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/registeredmodels/v1/{modelName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"createdAt": "2022-03-12T02:13:44.467Z",
"description": "Customer churn model",
"name": "churn-prediction",
"ownerUsername": "martin_hito",
"project": {
"id": "62313ce67a0af0281c01a6a5",
"isGitBasedProject": true,
"name": "TO-DO",
"ownerUsername": "TO-DO"
},
"requestingUserAccess": {
"canEditModel": true,
"canEditProjectAssets": true,
"canEditPropertyValues": true,
"canEditTaxonomyTags": true,
"canViewExperimentRuns": true,
"canViewModelApis": true,
"canViewProject": true,
"canViewProjectFiles": true
},
"tags": {
"key": "value",
"key2": "anothervalue"
},
"updatedAt": "2022-03-12T02:13:44.467Z",
"discoverable": false,
"latestVersion": 1
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}